/*
 * This file is generated by jOOQ.
 */
package de.ship.db.enums;


import de.ship.db.CommonDd;

import org.jooq.Catalog;
import org.jooq.EnumType;
import org.jooq.Schema;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public enum EnumComparator implements EnumType {

    _3d("="),

    _21_3d("!="),

    _3e(">"),

    _3c("<"),

    _3e_3d(">="),

    _3c_3d("<="),

    is_null("is null"),

    is_not_null("is not null"),

    _3cdt("<dt"),

    _3edt(">dt");

    private final String literal;

    private EnumComparator(String literal) {
        this.literal = literal;
    }

    @Override
    public Catalog getCatalog() {
        return getSchema().getCatalog();
    }

    @Override
    public Schema getSchema() {
        return CommonDd.COMMON_DD;
    }

    @Override
    public String getName() {
        return "enum_comparator";
    }

    @Override
    public String getLiteral() {
        return literal;
    }

    /**
     * Lookup a value of this EnumType by its literal. Returns
     * <code>null</code>, if no such value could be found, see {@link
     * EnumType#lookupLiteral(Class, String)}.
     */
    public static EnumComparator lookupLiteral(String literal) {
        return EnumType.lookupLiteral(EnumComparator.class, literal);
    }
}
